RDKit: RDKit::AtomEnvironmentGenerator< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::AtomEnvironmentGenerator< OutputType > Class Template Referenceabstract

abstract base class that generates atom-environments from a molecule More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::AtomEnvironmentGenerator< OutputType >:

## Public Member Functions
virtual std::vector< AtomEnvironment< OutputType > * > | getEnvironments (const ROMol &mol, FingerprintArguments *arguments, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, const int confId=-1, const AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *atomInvariants=nullptr, const std::vector< std::uint32_t > *bondInvariants=nullptr, const bool hashResults=false) const =0
| generate and return all atom-envorinments from a molecule
virtual std::string | infoString () const =0
| method that returns information about this /c AtomEnvironmentGenerator and its arguments if any
virtual void | toJSON (boost::property_tree::ptree &) const
virtual void | fromJSON (const boost::property_tree::ptree &)
virtual OutputType | getResultSize () const =0
| Returns the size of the fingerprint based on arguments.
virtual | ~AtomEnvironmentGenerator ()

## Public Attributes
const FingerprintArguments * | dp_fingerprintArguments

## Detailed Description

template<typename OutputType>
class RDKit::AtomEnvironmentGenerator< OutputType >

abstract base class that generates atom-environments from a molecule

Definition at line 161 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ ~AtomEnvironmentGenerator()

template<typename OutputType>

virtual RDKit::AtomEnvironmentGenerator< OutputType >::~AtomEnvironmentGenerator | ( |  | ) |
| inlinevirtual

Definition at line 219 of file FingerprintGenerator.h.

## Member Function Documentation

## ◆ fromJSON()

template<typename OutputType>

virtual void RDKit::AtomEnvironmentGenerator< OutputType >::fromJSON | ( | const boost::property_tree::ptree & |  | ) |
| inlinevirtual

Reimplemented in RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >, RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >.

Definition at line 208 of file FingerprintGenerator.h.

## ◆ getEnvironments()

template<typename OutputType>

virtual std::vector< AtomEnvironment< OutputType > * > RDKit::AtomEnvironmentGenerator< OutputType >::getEnvironments | ( | const ROMol & | mol,
|  | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | fromAtoms = nullptr,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = nullptr,
|  | const int | confId = -1,
|  | const AdditionalOutput * | additionalOutput = nullptr,
|  | const std::vector< std::uint32_t > * | atomInvariants = nullptr,
|  | const std::vector< std::uint32_t > * | bondInvariants = nullptr,
|  | const bool | hashResults = false ) const
| pure virtual

generate and return all atom-envorinments from a molecule

Parameters

  mol | molecule to generate the atom-environments from
  arguments | fingerprint type specific molecule independent arguments
  fromAtoms | atoms to be used during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  ignoreAtoms | atoms to be ignored during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  confId | which conformation to use during environment generation, needed for some fingerprint types
  additionalOutput | contains pointers for additional outputs of fingerprinting operation, usage depends on implementation of the fingerprint type
  atomInvariants | atom invariants to be used during environment generation, in some cases some of the hashing can be done during environment generation so it is also passed here
  bondInvariants | bond invariants to be used during environment generation, same as atomInvariants it might be needed
  hashResults | if set results will be ready to be modded

Returns
  std::vector<AtomEnvironment *> atom-environments generated from this molecule

Implemented in RDKit::AtomPair::AtomPairEnvGenerator< OutputType >, RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >, RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >.

## ◆ getResultSize()

template<typename OutputType>

virtual OutputType RDKit::AtomEnvironmentGenerator< OutputType >::getResultSize | ( |  | ) | const
| pure virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implemented in RDKit::AtomPair::AtomPairEnvGenerator< OutputType >, RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >, RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >.

## ◆ infoString()

template<typename OutputType>

virtual std::string RDKit::AtomEnvironmentGenerator< OutputType >::infoString | ( |  | ) | const
| pure virtual

method that returns information about this /c AtomEnvironmentGenerator and its arguments if any

Returns
  std::string information string

Implemented in RDKit::AtomPair::AtomPairEnvGenerator< OutputType >, RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >, RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >.

## ◆ toJSON()

template<typename OutputType>

virtual void RDKit::AtomEnvironmentGenerator< OutputType >::toJSON | ( | boost::property_tree::ptree & |  | ) | const
| inlinevirtual

Reimplemented in RDKit::AtomPair::AtomPairEnvGenerator< OutputType >, RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >, RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >.

Definition at line 207 of file FingerprintGenerator.h.

## Member Data Documentation

## ◆ dp_fingerprintArguments

template<typename OutputType>

const FingerprintArguments* RDKit::AtomEnvironmentGenerator< OutputType >::dp_fingerprintArguments

Definition at line 217 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h